Status (Axis API)
Keywords: org.apache.axis.client.async.Status class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.client.async
Class Status

    java.lang.Object
      org.apache.axis.constants.Enum
          org.apache.axis.client.async.Status

All Implemented Interfaces:
  java.io.Serializable

public class Status
extends Enum

Status of the async request

Author:
  Davanum Srinivas (dims@yahoo.com)
See Also:
  Serialized Form

Nested Class Summary
`static class` | `Status.Type` Class Type

Field Summary
`static Status` | `COMPLETED` Field COMPLETED
`static java.lang.String` | `COMPLETED_STR` Field COMPLETED_STR
`static Status` | `DEFAULT` Field DEFAULT
`static Status` | `EXCEPTION` Field EXCEPTION
`static java.lang.String` | `EXCEPTION_STR` Field EXCEPTION_STR
`static Status` | `INTERRUPTED` Field INTERRUPTED
`static java.lang.String` | `INTERRUPTED_STR` Field INTERRUPTED_STR
`static Status` | `NONE` Field NONE
`static java.lang.String` | `NONE_STR` Field NONE_STR

Fields inherited from class org.apache.axis.constants.Enum
`log, name, value`

Method Summary
`static Status` | `getDefault()` Method getDefault
`static Status` | `getStatus(int style)` Method getStatus
`static Status` | `getStatus(java.lang.String style)` Method getStatus
`static Status` | `getStatus(java.lang.String style, Status dephault)` Method getStatus
`static java.lang.String[]` | `getUses()` Method getUses
`static boolean` | `isValid(java.lang.String style)` Method isValid
`static int` | `size()` Method size

Methods inherited from class org.apache.axis.constants.Enum
`equals, equals, getName, getType, getValue, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE_STR

    public static final java.lang.String NONE_STR

  Field NONE_STR

  See Also:
    Constant Field Values

### INTERRUPTED_STR

    public static final java.lang.String INTERRUPTED_STR

  Field INTERRUPTED_STR

  See Also:
    Constant Field Values

### COMPLETED_STR

    public static final java.lang.String COMPLETED_STR

  Field COMPLETED_STR

  See Also:
    Constant Field Values

### EXCEPTION_STR

    public static final java.lang.String EXCEPTION_STR

  Field EXCEPTION_STR

  See Also:
    Constant Field Values

### NONE

    public static final Status NONE

  Field NONE

### INTERRUPTED

    public static final Status INTERRUPTED

  Field INTERRUPTED

### COMPLETED

    public static final Status COMPLETED

  Field COMPLETED

### EXCEPTION

    public static final Status EXCEPTION

  Field EXCEPTION

### DEFAULT

    public static final Status DEFAULT

  Field DEFAULT

Method Detail

### getDefault

    public static Status getDefault()

  Method getDefault

  Returns:

### getStatus

    public static final Status getStatus(int style)

  Method getStatus

  Parameters:
    `style` -
  Returns:

### getStatus

    public static final Status getStatus(java.lang.String style)

  Method getStatus

  Parameters:
    `style` -
  Returns:

### getStatus

    public static final Status getStatus(java.lang.String style,
                                         Status dephault)

  Method getStatus

  Parameters:
    `style` -
    `dephault` -
  Returns:

### isValid

    public static final boolean isValid(java.lang.String style)

  Method isValid

  Parameters:
    `style` -
  Returns:

### size

    public static final int size()

  Method size

  Returns:

### getUses

    public static final java.lang.String[] getUses()

  Method getUses

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.